Using the µVision Socket Interface: iINTERVAL Struct Reference

| Using the µVision Socket Interface Application Note 198 Control and monitor µVision via the built-in TCP/IP interface

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
iINTERVAL Struct Reference
Structs

## Data Fields
UINT | bAutoStart: 1
| 1:=start the target if it is not running, 0:=do not start the target More...
UINT | bCycles: 1
| 1:=interval is in cycles, 0:=interval is in seconds More...
UINT | bSetInterval: 1
| 1:=set the callback interval in this message, 0:=don't set a callback More...
UINT | __pad0__:29
| Reserved. More...
float | fSeconds
| Wake interval in seconds (if bCycles:=0) More...
xI64 | iCycles
| Wake interval in cycles (if bCycles:=1) More...
UINT | nRes [7]
| Reserved. More...

## Description

Wake interval data

Contains data indicating how to set a wake interval time.

This structure is used in the following messages:

Client ==> uVision (Request)

- UV_DBG_WAKE (Set bAutoStart to 1 to start the target automatically when it receives this command, set bSetInterval to 1 if you would like the simulation to go to sleep after the specified wake interval (if 0 the wake interval time is ignored), set bCycles to 1 if wake interval is specified in cycles, or 0 if it is specified in seconds, and set fSeconds or iCycles to the wake interval time, based on the value of bCycles)

## Field Documentation

UINT iINTERVAL::__pad0__

Reserved.

UINT iINTERVAL::bAutoStart

1:=start the target if it is not running, 0:=do not start the target

UINT iINTERVAL::bCycles

1:=interval is in cycles, 0:=interval is in seconds

UINT iINTERVAL::bSetInterval

1:=set the callback interval in this message, 0:=don't set a callback

float iINTERVAL::fSeconds

Wake interval in seconds (if bCycles:=0)

xI64 iINTERVAL::iCycles

Wake interval in cycles (if bCycles:=1)

UINT iINTERVAL::nRes[7]

Reserved.